/etc/motd tells me to read ~/.landscape/sysinfo.log which does not exist

Bug #517454 reported by Marius Gedminas on 2010-02-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Kevin McDermott
landscape-client (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: landscape-client

I ssh into a server and see /etc/motd which says:

   There were exceptions while processing one or more plugins.
   See ~/.landscape/sysinfo.log for more information.

I look for ~/.landscape/sysinfo.log, but it doesn't exist.

The error message should contain the correct log file path, which in my case turned out to be /var/log/landscape/sysinfo.log

Andreas Hasenack (ahasenack) wrote :

What is the version of landscape-common, and what distro?

Marius Gedminas (mgedmin) wrote :

1.4.0-0ubuntu0.9.04.0 from Ubuntu Jaunty.

Sorry about that, I reported one bug with apport, which automatically attaches this kind of info, and then found this handy "Report another bug" link at the bottom of the page.

Marius Gedminas (mgedmin) wrote :

Looking at /usr/share/pyshared/landscape/sysinfo/sysinfo.py on my Karmic laptop I see that it still refers to ~/.landscape/sysinfo.log unconditionally (SysInfoPluginRegistry._report_error_note).

Andreas Hasenack (ahasenack) wrote :

This confusion comes from the fact that initially landscape-sysinfo had two running modes: at every login, and via cron.

When run via cron, there is no user logging in, so any backtraces would be stored in /var/log. But when run at login time, we are executing as an user, so we had to write somewhere else. That's where the ~/.landscape comes from.

Are the backtraces in your /var/log/landscape/sysinfo.log file old by any change? Perhaps this machine was upgraded from an older distro instead of being a new installation?

Changed in landscape-client:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Kevin McDermott (bigkevmcd)
milestone: none → 1.4.4
tags: added: fixit-friday
tags: added: fix-it-friday
removed: fixit-friday
Marius Gedminas (mgedmin) wrote :

The oldest entry in /var/log/landscape/sysinfo.log is dated 2009-07-24, the newest is dated today (2010-02-05).

The machine was a fresh install of Ubuntu 9.04 server back when it was installed; it's never been upgraded.

locate sysinfo.log tells me there is only one file with this name in my system, and it's the one in /var/log/landscape/.

I'm not quite sure how all this is relevant: if the update-motd landscape sysinfo plugin encounters an error, surely it should mention the correct log filename, no matter which one it happens to be using?

Andreas Hasenack (ahasenack) wrote :

Of course, it is a bug, and a developer even already attached a candidate fix for it here. I was just curious how this file showed up in /var/log in a recent version, which doesn't use cron anymore.

Changed in landscape-client:
status: In Progress → Fix Committed
Changed in landscape-client (Ubuntu):
status: New → Fix Committed
tags: added: needs-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.10.04

---------------
landscape-client (1.4.4-0ubuntu0.10.04) lucid; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:50:53 +0100

Changed in landscape-client (Ubuntu):
status: Fix Committed → Fix Released

Accepted landscape-client into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Intrepid):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

Confirmed in staging.

tags: removed: needs-testing
Changed in landscape-client:
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.10

---------------
landscape-client (1.4.4-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:49:25 +0100

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.04

---------------
landscape-client (1.4.4-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:41:52 +0100

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.8.10

---------------
landscape-client (1.4.4-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:40:45 +0100

Changed in landscape-client (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers